Groove Mobile Workspace vulnerable to script injection via SharePoint lists containing picture columns

2005-05-19T00:00:00
ID VU:372618
Type cert
Reporter CERT
Modified 2005-05-19T15:44:00

Description

Overview

A vulnerability in the way that Groove Mobile Workspace handles picture columns embedded within SharePoint lists may allow attackers to execute an arbitrary script.

Description

Groove Virtual Office provides a collaborative working environment that includes shared documents, databases, applications, and various other tools to facilitate communication and productivity. Microsoft Windows SharePoint Services for Windows Server 2003 and SharePoint Team Services are used to create collaborative Web sites. A SharePoint list is a collection of information and objects displayed on a SharePoint site. If a SharePoint list containing picture column is copied into a Groove Mobile Workspace, that list, including the picture column may not be properly filtered for malicious content. As a result, an attacker may be able to inject scripting code into the picture column, which will then be executed within the Groove Virtual Office environment.


Impact

An attacker may be able to execute arbitrary scripts with the privileges of the compromised user.


Solution

Update

This vulnerability is addressed in Groove Virtual Office 3.1 build 2338, 3.1a build 2364, and Groove Workspace Version 2.5n build 1871. These updates are available from

<http://www.groove.net/update>

and

<http://www.groove.net/archive>.


Vendor Information

372618

Filter by status: All Affected Not Affected Unknown

Filter by content: __ Additional information available

__ Sort by: Status Alphabetical

Expand all

Javascript is disabled. Click here to view vendors.

Groove Networks __ Affected

Updated: May 19, 2005

Status

Affected

Vendor Statement

Analysis has identified security vulnerability in older versions of the Groove Virtual Office client software that warranted immediate attention to correct. Although we are not aware of any incidents leveraging the vulnerability, we have responded to address issues that have been identified.

A security update to Groove Virtual Office v3.1 was posted several weeks ago as build 2338. More recently, a maintenance release to Groove Virtual Office, v3.1a build 2364, was posted on the website on April 27th, 2005. This latest release contains all of the security updates plus some addition al maintenance items. If you are running a release prior to 2338 of Groove Virtual Office, we encourage you to update immediately to the latest releases of Groove Virtual Office at:

<http://www.groove.net/update>

An update to the previous major release, Groove Workspace Version 2.5n build 1871, is also available. We recommend that all users of Groove Workspace Version 2 update to this version of the
software at:

<http://www.groove.net/archive>

If you use a customized enterprise installation kit for deployment of the Groove software in your organization, the kits for these versions can be obtained from your Groove sales representative or client manager.

Vendor Information

The vendor has not provided us with any further information regarding this vulnerability.

Addendum

US-CERT has no additional comments at this time.

If you have feedback, comments, or additional information about this vulnerability, please send us email.

CVSS Metrics

Group | Score | Vector
---|---|---
Base | |
Temporal | |
Environmental | |

References

  • <http://www.groove.net>
  • <http://www.groove.net/index.cfm?pagename=Support_Overview>
  • <http://www.groove.net/update>
  • <http://www.groove.net/archive>

Acknowledgements

This vulnerability was reported by US-CERT.

This document was written by Jeff Gennari.

Other Information

CVE IDs: | CVE-2005-1676
---|---
Severity Metric: | 2.41
Date Public: | 2005-05-19
Date First Published: | 2005-05-19
Date Last Updated: | 2005-05-19 15:44 UTC
Document Revision: | 54